% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cop_Cont1.R
\name{copulaCont1}
\alias{copulaCont1}
\title{Fitting Linear Models with One Enedogenous Regressor using Gaussian Copula}
\usage{
copulaCont1(formula, endoVar, param = NULL, intercept = NULL, data)
}
\arguments{
\item{formula}{the model formula, e.g. \code{y ~ X1 + X2 + X3}.}

\item{endoVar}{a string with the name of the endogenous variable/s, in quotation marks.}

\item{param}{initial values for the parameters to be optimized over.}

\item{intercept}{an optional parameter. The model is estimated by default with 
intercept. If no intercept is desired or the regressors matrix \code{X} contains already
a column of ones, intercept should be given the value "FALSE", otherwise the value "TRUE".}

\item{data}{a data frame or matrix containing the variables of the model.}
}
\value{
Returns a list with the best set of parameters found.
}
\description{
Estimates a linear model with one endogenous variable using Gaussian copula. The optimization is done via maximum likelihood, using the BFLG algorithm.
}
\keyword{copula}
\keyword{instrumental}
\keyword{internal}
\keyword{variables}
