% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cop_Cont2.R
\name{copulaMethod2}
\alias{copulaMethod2}
\title{Fitting Linear Models with Endogeneous Regressors using Gaussian Copula - Method 2}
\usage{
copulaMethod2(formula, endoVar, intercept = NULL, data)
}
\arguments{
\item{formula}{the model formula, e.g. \code{y ~ X1 + X2 + P}.}

\item{endoVar}{a string with the name of the endogenous variable/s, in quotation marks.}

\item{intercept}{an optional parameter. The model is estimated by default with 
intercept. If no intercept is desired or the regressors matrix \code{X} contains already
a column of ones, intercept should be given the value "FALSE", otherwise the value "TRUE".}

\item{data}{a data frame or matrix containing the variables of the model.}
}
\value{
Returns an object of class "lm".
}
\description{
It fits linear models with several endogeneous regressors using Gaussian Copula proposed by Park and Gupta (2012).
}
\keyword{copula}
\keyword{endogenous}
\keyword{instrumental}
\keyword{internal}
\keyword{variables}
